<div class="container p-3">
    <div class="row">
        <% if current_user.has_role? :Admin %>
            <div class="col">
                <%= link_to "<< Back", admins_path %>
            </div>
        <% end %>
        <% if current_user.has_role? :Vendor %>
        <div class="col">
                <%= link_to "<< Back", vendors_path %>
            </div>
        <div class="col text-right">
            <%= link_to "Add new product", new_product_path %>
        </div>
        <% end %>
    </div> 
    <br>
    <div class="table-responsive">
        <table class="table table-striped text-center">
            <tr class="header">
                <% if current_user.has_role? :Admin %>
                    <th>Vendor Name</th>
                <% end %>
                <th>Product</th>
                <th>Images</th>
                <th>Quantity</th>
                <th>Price</th>
                <th>Description</th>
                <th>Actions</th>
            </tr>
            <% @products.each do |product| %>
            <tr>
                <% if current_user.has_role? :Admin %>
                    <td><%= product.user.username if product.user %></td>
                <% end %>
                <td><%= product.title %></td>
                <td>
                    <ul class="list-unstyled">
                        <% if product.images.attached? %>
                            <% product.images.each do |image| %>
                            <li>
                                <%= image_tag image, width:"100px" %>  
                            </li>
                            <% end %>
                        <% end %>
                    </ul>
                </td>
                <td><%= product.quantity %></td>
                <td><%= product.price %></td>
                <td><%= product.description %></td>
                <td class="actions">
                    <div class="row">
                        <div class="col">
                            <%= link_to "Show", product_path(:id => product) %>
                            <% if current_user.has_role? :Vendor %>
                                <%= link_to "edit", edit_product_path(product) %>
                                <%= link_to "Destroy", product_path(product.id),
                                method: :delete,
                                data: { confirm: "Are you sure?" } %> 
                            <% end %>    
                        </div>
                    </div>
                </td>
            </tr>
            <% end %>
        </table>
    </div>
</div>
